//
//  LocationDetailViewController.swift
//  MetaLocatorSample
//
//  Created by Michael Fatica on 8/22/16.
//  Copyright © 2016 MetaLocator. All rights reserved.
//

import UIKit

class LocationDetailViewController: UIViewController, UIWebViewDelegate {
    
    var receivedLocation:MetaLocations!

    @IBOutlet weak var labelName: UILabel!
    @IBOutlet weak var labelDescription: UILabel!
    @IBOutlet weak var labelDistance: UILabel!
    @IBOutlet weak var imageViewImage: UIImageView!
    @IBOutlet weak var textViewAddress: UITextView!
    
    @IBOutlet weak var webviewDescription: UIWebView!
    @IBOutlet weak var textViewPhone: UITextView!
    
    override func viewDidLoad() {
        
        super.viewDidLoad()
        
        labelName.text = receivedLocation.name
        
        webviewDescription.scrollView.scrollEnabled = false
        
        webviewDescription.loadHTMLString((receivedLocation?.desc)!,baseURL: nil)
        
        labelDistance.text = receivedLocation.getFormattedDistance()
        
        //download the location image into the app
        receivedLocation.pullImage()
        
        imageViewImage.image = receivedLocation.imageData
        
        textViewAddress.text = "\(receivedLocation.address)\(receivedLocation.address2) \(receivedLocation.city),\(receivedLocation.state) \(receivedLocation.postalcode)"
        
        textViewPhone.text = receivedLocation.phone
        
        webviewDescription.delegate = self
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func webView(webView: UIWebView, shouldStartLoadWithRequest request: NSURLRequest, navigationType: UIWebViewNavigationType) -> Bool {
        if navigationType == UIWebViewNavigationType.LinkClicked {
            UIApplication.sharedApplication().openURL(request.URL!)
            return false
        }
        return true
    }

}
